Capture (EasyMock 2.5 API)
Date: 2009-05-24

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock
Class Capture<T>

    java.lang.Object
      org.easymock.Capture<T>

Type Parameters:
  `T` - Type of the captured element

All Implemented Interfaces:
  java.io.Serializable

    public class Capture<T>

extends java.lang.Object
implements java.io.Serializable

Will contain what was captured by the `capture()` matcher. Knows if something was captured or not (allows to capture a null value).

See Also:
  Serialized Form

Constructor Summary
`Capture()` Default constructor.
`Capture(CaptureType type)` Constructor allowing to select the capture type

Method Summary
`T` | `getValue()` Return captured value
`java.util.List<T>` | `getValues()` Return all captured values.
`boolean` | `hasCaptured()`
`void` | `reset()` Will reset capture to a "nothing captured yet" state
`void` | `setValue(T value)` Used internally by the EasyMock framework to add a new captured value
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Capture

    public Capture()

  Default constructor. Only the last element will be captured

### Capture

    public Capture(CaptureType type)

  Constructor allowing to select the capture type

  Parameters:
    `type` - capture type

Method Detail

### reset

    public void reset()

  Will reset capture to a "nothing captured yet" state

### hasCaptured

    public boolean hasCaptured()

  Returns:
    true if something was captured

### getValue

    public T getValue()

  Return captured value

  Returns:
    The last captured value
  Throws:
    `java.lang.AssertionError` - if nothing was captured yet or if more than one value was captured

### getValues

    public java.util.List<T> getValues()

  Return all captured values. It returns the actual list so you can modify it's content if needed

  Returns:
    The currently captured values

### setValue

    public void setValue(T value)

  Used internally by the EasyMock framework to add a new captured value

  Parameters:
    `value` - Value captured

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 OFFIS, Tammo Freese, Henri Tremblay. This documentation is provided under the terms of the MIT licence.